Subject: setting uid for new files?
From: [email-masked] (Marc Haber)

4 Jan 1999 21:55:35 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 8bit
To: [email-masked]

Hi!

I am trying to build tar using cygwin B20. Since I don't have a tar
executable on my Windows machine, I untarred the distribution on the
UNIX box and used samba to transfer the files to the Windows box.

However, it doesn't seem to allow me to write in the directory I have
just created:

|bash-2.02$ ls -al
|total 236
|drwxr-xr-x   9 544      Kein            0 Jan  4 21:33 .
|drwxr-xr-x  10 544      Kein            0 Jan  4 21:33 ..
|-rw-r--r--   1 544      Kein        11451 Apr 19  1997 ABOUT-NLS
|-rw-r--r--   1 544      Kein         1040 Apr 19  1997 AC-PATCHES
<snip>
|drwxr-xr-x   2 544      Kein            0 Jan  4 21:33 tests
|bash-2.02$ cat /etc/passwd
|Administrator::500:513:::/bin/sh
|Gast::501:513:::/bin/sh
|mh::1000:513:::/bin/sh
|bash-2.02$ cat /etc/group
|Kein::513:
|Everyone::0:
|bash-2.02$ whoami
|administrator
|bash-2.02$

Where does that uid 544 come from?

Greetings
Marc

-- 
-------------------------------------- !! No courtesy copies, please !! -----
Marc Haber          |   " Questions are the         | Mailadresse im Header
Karlsruhe, Germany  |     Beginning of Wisdom "     | Fon: *49 721 966 32 15
Nordisch by Nature  | Lt. Worf, TNG "Rightful Heir" | Fax: *49 721 966 31 29
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".